{% load static %}

<!doctype html>
<html lang="en">

  <head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="Gian Pompilio for PBSA">
    <!-- <meta name="generator" content=""> -->

    <title>{{ raffle.title }} - Order Your Tickets Now!</title>

    <!-- <link rel="canonical" href="https://getbootstrap.com/docs/4.5/examples/checkout/"> -->

    <!-- Bootstrap core CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

    <!-- Favicons -->
    <!-- 
    <link rel="apple-touch-icon" href="/docs/4.5/assets/img/favicons/apple-touch-icon.png" sizes="180x180">
    <link rel="icon" href="/docs/4.5/assets/img/favicons/favicon-32x32.png" sizes="32x32" type="image/png">
    <link rel="icon" href="/docs/4.5/assets/img/favicons/favicon-16x16.png" sizes="16x16" type="image/png">
    <link rel="manifest" href="/docs/4.5/assets/img/favicons/manifest.json">
    <link rel="mask-icon" href="/docs/4.5/assets/img/favicons/safari-pinned-tab.svg" color="#563d7c">
    <link rel="icon" href="/docs/4.5/assets/img/favicons/favicon.ico">
    <meta name="msapplication-config" content="/docs/4.5/assets/img/favicons/browserconfig.xml">
    <meta name="theme-color" content="#563d7c"> 
    -->

    <style>
      .bd-placeholder-img {
        font-size: 1.125rem;
        text-anchor: middle;
        -webkit-user-select: none;
        -moz-user-select: none;
        -ms-user-select: none;
        user-select: none;
      }

      @media (min-width: 768px) {
        .bd-placeholder-img-lg {
          font-size: 3.5rem;
        }
      }

      .container {
        max-width: 960px;
        }

      .lh-condensed { line-height: 1.25; }
    </style>

  </head>

  <body class="bg-light">

    <div class="container">

      <div class="py-5 text-center">
        <!-- <img class="d-block mx-auto mb-4" src="{% static raffle.image %}" alt="{{ raffle.image_url }}"> -->
        <img class="d-block mx-auto mb-4" src="{{ raffle.image.url }}" alt="{{ raffle.title }} Logo" height="100px">
        <h2>{{ raffle.title }}</h2>
        <h3>{{ raffle.name }}</h3>
        <p class="lead">{{ raffle.description }}</p>
      </div>

      <!-- Main Form -->
      <div class="row justify-content-center">
          
        <div class="col-md-8 order-md-1">

          <h4 class="mb-3">Personal Information</h4>

          <form action="/raffle/{{ raffle.slug }}/" method="POST" class="needs-validation" novalidate>
            
            {% csrf_token %}
            {{ form.non_field_errors }}
            {{ form.source.errors }}
            {{ form.source }}

            {% if messages %}
            <ul class="messages">
                {% for message in messages %}
                <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>{{ message }}</li>
                {% endfor %}
            </ul>
            {% endif %}

            <input type="hidden" name="raffle" id="id_raffle" value="{{raffle.pk}}">


            <div class="row">
              <div class="col-md-6 mb-3">
                <label for="id_first_name">First Name</label>
                <input type="text" class="form-control" name="first_name" maxlength="100" id="id_first_name" placeholder="" value="{{form.first_name.value|default_if_none:''}}" required>
                <div class="invalid-feedback">
                  Valid first name is required.
                </div>
              </div>

              <div class="col-md-6 mb-3">
                <label for="id_last_name">Last Name</label>
                <input type="text" class="form-control" name="last_name" maxlength="100" id="id_last_name" placeholder="" value="{{form.last_name.value|default_if_none:''}}" required>
                <div class="invalid-feedback">
                  Valid last name is required.
                </div>
              </div>
            </div>

            <div class="row">
              <div class="col-md-6 mb-3">
                <label for="id_email">Email Address</label>
                <input type="email" class="form-control" name="email" maxlength="100" id="id_email" placeholder="you@example.com" value="{{form.email.value|default_if_none:''}}" required>
                <div class="invalid-feedback">
                    Please enter a valid email address (formatted like you@example.com).
                </div>
              </div>
              <div class="col-md-6 mb-3">
                <label for="id_phone">Phone Number</label>
                <input type="text" class="form-control" name="phone" maxlength="100" id="id_phone" placeholder="xxx-xxx-xxxx" pattern="[0-9]{3}-[0-9]{3}-[0-9]{4}" value="{{form.phone.value|default_if_none:''}}" required>
                <div class="invalid-feedback">
                  Please enter a valid phone number (formatted like xxx-xxx-xxxx).
                </div>
              </div>
            </div>

            {% if raffle.condition_set.count %}
            <!-- CONDITIONS -->
            {% for condition in raffle.condition_set.all %}
            <div class="custom-control custom-checkbox">
              <input type="checkbox" class="custom-control-input" id="{{condition.description|slugify}}" required>
              <label class="custom-control-label" for="{{condition.description|slugify}}">{{condition.description}} {% if condition.link is not None %}(<a href="{{condition.link}}" target="_blank">View</a>){% endif %}</label>
            </div>
            {% endfor %}
            {% endif %}

            {% if raffle.ticketbundle_set.count %}
            <!-- TICKET BUNDLES -->
            <br />
            <h4 class="mb-3">How many entries would you like?</h4>
            <div class="d-block my-3">
              {% for ticket in raffle.ticketbundle_set.all %}
              <div class="custom-control custom-radio">
                <input id="{{ticket.id}}" name="bundle" type="radio" class="custom-control-input" value="{{ticket.id}}" {% if form.bundle.value == ticket.pk|stringformat:"i" %}checked{% endif %} required>
                <label class="custom-control-label" for="{{ticket.pk}}">{{ticket.quantity}} entry for ${{ticket.price}}</label>
              </div>
              {% endfor %}
            </div>
            {% endif %}

            {% if raffle.beneficiary_set.count %}
            <!-- ORGANIZATIONS TO SUPPORT -->
            <br />
            <h4 class="mb-3">Which beneficiary would you like to support?</h4>
            <div class="d-block my-3">
              <label for="id_beneficiary" class="d-none invisible">Which beneficiary would you like to support?</label>
              <select class="custom-select d-block w-100" id="id_beneficiary" name="beneficiary" required>
                {% for beneficiary in raffle.beneficiary_set.all %}
                <option value="{{beneficiary.id}}" {% if form.beneficiary.value == beneficiary.id|stringformat:"i" %}selected{% endif %}>{{beneficiary.description}}</option>
                {% endfor %}
              </select>
              <div class="invalid-feedback">
                Please select a valid beneficiary.
              </div>
            </div>
            {% endif %}

            <!-- PAYMENT INFORMATION -->
            <br />
            <h4 class="mb-3">Payment Information</h4>
            <div class="d-block my-3">
              <div class="custom-control custom-radio">
                <input id="credit" name="payment_method" type="radio" class="custom-control-input" value="credit" {% if form.payment_method.value == "credit" %}checked{% endif %} required>
                <label class="custom-control-label" for="credit">Credit card</label>
              </div>
              <div class="custom-control custom-radio">
                <input id="debit" name="payment_method" type="radio" class="custom-control-input" value="debit" {% if form.payment_method.value == "debit" %}checked{% endif %} required>
                <label class="custom-control-label" for="debit">Debit card</label>
              </div>
              <div class="custom-control custom-radio">
                <input id="cash" name="payment_method" type="radio" class="custom-control-input" value="cash" {% if form.payment_method.value == "cash" %}checked{% endif %} required>
                <label class="custom-control-label" for="cash">Cash</label>
              </div>
            </div>

            <!-- CREDIT / DEBIT FIELDS -->
            <div id="creditDebitFields">
              <div class="row">
                <div class="col-md-6 mb-3">
                  <label for="id_card_name">Name on Card</label>
                  <input type="text" class="form-control" id="id_card_name" name="card_name" placeholder="" required>
                  <small class="text-muted">Full name as displayed on card</small>
                  <div class="invalid-feedback">
                    Name on card is required
                  </div>
                </div>
                <div class="col-md-6 mb-3">
                  <label for="id_card_number">Card Number</label>
                  <!-- <input type="text" class="form-control" id="id_card_number" name="card_number" placeholder="" required> -->
                  <input type="tel" class="form-control" id="id_card_number" name="card_number" inputmode="numeric" pattern="[0-9\s]{13,19}" autocomplete="cc-number" maxlength="19" placeholder="xxxx xxxx xxxx xxxx" required>
                  <div class="invalid-feedback">
                    Credit card number is required
                  </div>
                </div>
              </div>
              <div class="row">
                <div class="col-md-3 mb-3">
                  <label for="id_card_expiration">Expiration</label>
                  <input type="text" class="form-control" id="id_card_expiration" name="card_expiration" placeholder="" required>
                  <div class="invalid-feedback">
                    Expiration date required
                  </div>
                </div>
                <div class="col-md-3 mb-3">
                  <label for="id_card_cvv">CVV</label>
                  <input type="text" class="form-control" id="id_card_cvv" name="card_cvv" placeholder="" required>
                  <div class="invalid-feedback">
                    Security code required
                  </div>
                </div>
              </div>
            </div>

            <!-- SELLER AUTHORIZATION CODE -->
            <div id="authCode" style="display:none" class="my-3">
              <label for="seller_code" class="d-none">Please enter a valid seller authorization code</label>
                <input type="password" class="form-control" id="seller_code" name="seller_code" placeholder="Seller Authorization Code">
            </div>

            <!-- CHECKOUT BUTTON -->
            <hr class="mb-4">
            <button class="btn btn-primary btn-lg btn-block" type="submit">Continue to checkout</button>

          </form>
        </div>
      </div>
    </div>


    <!-- FOOTER -->
    <footer class="my-5 pt-5 text-muted text-center text-small">
      <p class="mb-1">&copy; 2020 Company Name</p>
      <ul class="list-inline">
        <li class="list-inline-item"><a href="#">Rules</a></li>
        <li class="list-inline-item"><a href="#">Terms</a></li>
        <li class="list-inline-item"><a href="#">Privacy</a></li>
      </ul>
    </footer>
    <!-- FOOTER:END -->


    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
    
    <script>
      // Example starter JavaScript for disabling form submissions if there are invalid fields
      (function () {
        'use strict'

        window.addEventListener('load', function () {
          // Fetch all the forms we want to apply custom Bootstrap validation styles to
          var forms = document.getElementsByClassName('needs-validation')

          // Loop over them and prevent submission
          Array.prototype.filter.call(forms, function (form) {
            form.addEventListener('submit', function (event) {
              if (form.checkValidity() === false) {
                event.preventDefault()
                event.stopPropagation()
              }
              form.classList.add('was-validated')
            }, false)
          })
        }, false)

        // Hide credit card fields if cash is selected 
        $(function() {
          $("input[name='payment_method']").click(function() {
              if ($("#cash").is(":checked")) {
                $("#creditDebitFields").hide();
                $('#creditDebitFields :input').prop('required', false);
                $("#authCode").show();
                $('#authCode :input').prop('required', true);
              } else {
                $("#authCode").hide();
                $('#authCode :input').prop('required', false);
                $("#creditDebitFields").show();
                $('#creditDebitFields :input').prop('required', true);
              }
          });
        });

      }())

    </script>

  </body>

</html>        

